Diablo® III

Played beta, but now says graphics card error

So I had already played through the beta a few times on my computer, and it worked and looked fine. I recently clicked on the beta icon again, and an error came up saying that my graphics card isn't supported(even though there were no problems earlier). I have windows 7 and an ATI radeon HD 4800 Series, which I don't see on the list of unsupported ones. Did something change after the beta in which now I'll need to get a new card? Any insight would be much appreciated, Thanks.
Reply Quote
85 Draenei Shaman
3735
The beta is obsolete, you can ignore anything it says when trying to use it. The HD 4800 series is fine to use. It doesn't require 12.4a though it won't hurt to get it.

Delete the beta before installng the retail release to avoid any issues it might cause.
Edited by Falco#1430 on 5/13/2012 8:35 AM PDT
Reply Quote
I also played thru Beta and now it says my HD 5450 will not work. What can I do just uninstall the game and reinstall it?
Reply Quote
It is strongly encouraged that you completely uninstall the Diablo 3 Beta. It is no longer of any use. It cannot be ran to play the full game. You must remove it and replace it with the release copy of Diablo 3, either from digital download or from retail disc.

Please ignore any and all errors the beta may provide, as they are no longer relevant (outdated).
Reply Quote
05/13/2012 08:05 AMPosted by SquelchMePlz
If so you'll need to update to 12.4a.

On Windows Seven 64, the HD 4800 series are not compatible with Diablo3, i try with Catalyst 10.2, 10.3, 10.4, 10.4a, nothing work! (i unistall Catalys 12.4 then i reboot, i install the 12.4a hotfix and reboot again.)

The hotfix is not for the HD 4800
Reply Quote
I'm having the same issue here too. Says my HD4850 is unsupported! I played the beta.
Reply Quote
If you're having the 'unsupported card' popup issue, just hit ESC and it will let you past that screen into the login screen.
Reply Quote
Dammit, I dont think this hotfix cover ATI Radeon HD 2600 XT, what do?

I cant get it to update to 12.4a ... ... ...
Edited by Lhind#2904 on 5/15/2012 1:53 AM PDT
Reply Quote

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)
Submit Cancel

Reported!

[Close]